Bug 1110681 - live incremental migration of vm with common shared base, size(disk) > size(base) transfers unallocated sectors, explodes disk on dest - qemu-kvm-rhev clone
Summary: live incremental migration of vm with common shared base, size(disk) > size(b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 6.6
Assignee: Kevin Wolf
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1092117
Blocks: 1130582
TreeView+ depends on / blocked
 
Reported: 2014-06-18 08:57 UTC by Libor Miksik
Modified: 2019-04-28 10:42 UTC (History)
27 users (show)

Fixed In Version: qemu-kvm-rhev-0.12.1.2-2.415.el6_5.14
Doc Type: Bug Fix
Doc Text:
Clone Of: 1092117
Environment:
Last Closed: 2014-08-19 09:23:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1076 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2014-08-19 13:22:40 UTC

Description Libor Miksik 2014-06-18 08:57:10 UTC
This bug has been copied from bug #1092117 and has been proposed
to be backported to 6.5 z-stream (EUS).

Comment 4 Qunfang Zhang 2014-06-18 09:27:41 UTC
Hi, Libor

Is this bug for qemu-kvm-rhev build?  As we already have bug 1109715 fixed on rhel6.5-z qemu-kvm.

Thanks,
Qunfang

Comment 5 Qunfang Zhang 2014-06-18 09:29:02 UTC
(In reply to Qunfang Zhang from comment #4)
> Hi, Libor
> 
> Is this bug for qemu-kvm-rhev build?  As we already have bug 1109715 fixed
> on rhel6.5-z qemu-kvm.
> 
> Thanks,
> Qunfang

Remove the needinfo as just received a confirm from Mirek via mail. Thanks.

Comment 6 Jeff Nelson 2014-06-18 10:44:41 UTC
Fixed in version qemu-kvm-rhev-0.12.1.2-2.415.el6_5.11

Comment 10 Qunfang Zhang 2014-08-08 09:25:17 UTC
Verified this bug on qemu-kvm-rhev-0.12.1.2-2.415.el6_5.14.x86_64:

1. Test case of the original problem, steps are the same as bug 1109715 comment 8.

Result:

[root@localhost test]# qemu-img info source.qcow2 
image: source.qcow2
file format: qcow2
virtual size: 10G (10737418240 bytes)
disk size: 7.7M
cluster_size: 65536
backing file: backing.qcow2
[root@localhost test]# 
[root@localhost test]# 
[root@localhost test]# qemu-img info dest.qcow2 
image: dest.qcow2
file format: qcow2
virtual size: 10G (10737418240 bytes)
disk size: 36M
cluster_size: 65536
backing file: backing.qcow2

The result is expected.

2. Test script provided in bug 1109715 comment 14 by Kevin:

[root@localhost test]# sh rhel6-test.sh 
Formatting '/tmp/backing.qcow2', fmt=qcow2 size=67108864 encryption=off cluster_size=65536 
Formatting '/tmp/test.qcow2', fmt=qcow2 size=1073741824 backing_file='/tmp/backing.qcow2' encryption=off cluster_size=65536 
wrote 65536/65536 bytes at offset 0
64 KiB, 1 ops; 0.0000 sec (578.845 KiB/sec and 9.0445 ops/sec)
wrote 65536/65536 bytes at offset 134217728
64 KiB, 1 ops; 0.0000 sec (1.162 MiB/sec and 18.5881 ops/sec)
VNC server running on `::1:5900'
_QEMU 0.12.1 monitor - type 'help' for more information
(qemu) __com.redhat_drive-mirror ide0-hd0 /tmp/copy.qcow2
Formatting '/tmp/copy.qcow2', fmt=qcow2 size=1073741824 backing_file='/tmp/backing.qcow2' backing_fmt='qcow2' encryption=off cluster_size=65536 
(qemu) __com.redhat_drive-reopen ide0-hd0 /tmp/copy.qcow2
(qemu) quit
read 65536/65536 bytes at offset 0
64 KiB, 1 ops; 0.0000 sec (744.048 MiB/sec and 11904.7619 ops/sec)
read 65536/65536 bytes at offset 134217728
64 KiB, 1 ops; 0.0000 sec (801.282 MiB/sec and 12820.5128 ops/sec)


Based on above, the issue does not exist.  QE will also arrange kvm accpetance test, live snapshot test and live block copy (block mirroring) function test for additional regression propose.  Will update the result later after finish.

Comment 11 Jeff Nelson 2014-08-08 20:40:09 UTC
Fix included in qemu-kvm-0.12.1.2-2.415.el6_5.14

Comment 17 Jeff Nelson 2014-08-11 19:45:52 UTC
Fix included in qemu-kvm-rhev-0.12.1.2-2.415.el6_5.14

Comment 20 Jeff Nelson 2014-08-18 03:22:32 UTC
Comment 18: BZ added to advisory.

Comment 21 Qunfang Zhang 2014-08-18 06:07:42 UTC
Verified this bug on qemu-kvm-rhev-0.12.1.2-2.415.el6_5.14.x86_64:

1. Test case of the original problem, steps are the same as bug 1109715 comment 8.

Result:

[root@localhost test]# qemu-img info source.qcow2 
image: source.qcow2
file format: qcow2
virtual size: 10G (10737418240 bytes)
disk size: 7.7M
cluster_size: 65536
backing file: backing.qcow2
[root@localhost test]# 
[root@localhost test]# 
[root@localhost test]# qemu-img info dest.qcow2 
image: dest.qcow2
file format: qcow2
virtual size: 10G (10737418240 bytes)
disk size: 36M
cluster_size: 65536
backing file: backing.qcow2

The result is expected.

2. Test script provided in bug 1109715 comment 14 by Kevin:

[root@localhost test]# sh rhel6-test.sh 
Formatting '/tmp/backing.qcow2', fmt=qcow2 size=67108864 encryption=off cluster_size=65536 
Formatting '/tmp/test.qcow2', fmt=qcow2 size=1073741824 backing_file='/tmp/backing.qcow2' encryption=off cluster_size=65536 
wrote 65536/65536 bytes at offset 0
64 KiB, 1 ops; 0.0000 sec (578.845 KiB/sec and 9.0445 ops/sec)
wrote 65536/65536 bytes at offset 134217728
64 KiB, 1 ops; 0.0000 sec (1.162 MiB/sec and 18.5881 ops/sec)
VNC server running on `::1:5900'
_QEMU 0.12.1 monitor - type 'help' for more information
(qemu) __com.redhat_drive-mirror ide0-hd0 /tmp/copy.qcow2
Formatting '/tmp/copy.qcow2', fmt=qcow2 size=1073741824 backing_file='/tmp/backing.qcow2' backing_fmt='qcow2' encryption=off cluster_size=65536 
(qemu) __com.redhat_drive-reopen ide0-hd0 /tmp/copy.qcow2
(qemu) quit
read 65536/65536 bytes at offset 0
64 KiB, 1 ops; 0.0000 sec (744.048 MiB/sec and 11904.7619 ops/sec)
read 65536/65536 bytes at offset 134217728
64 KiB, 1 ops; 0.0000 sec (801.282 MiB/sec and 12820.5128 ops/sec)


Based on above, the issue does not exist.  QE will also arrange kvm accpetance test, live snapshot test and live block copy (block mirroring) function test for additional regression propose.  Will update the result later after finish.

Comment 25 errata-xmlrpc 2014-08-19 09:23:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1076.html


Note You need to log in before you can comment on or make changes to this bug.